Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Class InvalidSlotHelper

    java.lang.Object
      org.omg.PortableInterceptor.InvalidSlotHelper

    public abstract class InvalidSlotHelper

extends Object

org/omg/PortableInterceptor/InvalidSlotHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Friday, December 18, 2009 7:21:31 PM GMT-08:00

Constructor Summary
`InvalidSlotHelper()`

Method Summary
`static InvalidSlot` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, InvalidSlot that)`
`static InvalidSlot` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, InvalidSlot value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidSlotHelper

    public InvalidSlotHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InvalidSlot that)

### extract

    public static InvalidSlot extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static InvalidSlot read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             InvalidSlot value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.